Audience APIUsers
Set or remove user properties
Add or remove key/value attributes on a user record. Omit `value` to remove a property. Send a single object or a `batch` of up to 250. To set a **date** value, send a string in one of two formats: - Strict HTTP-date (RFC 2616 IMF-fixdate), e.g. `Mon, 14 Feb 2022 20:35:03 GMT`. - ISO 8601 date & time, e.g. `2023-05-12`, `2023-05-12T14:30:00Z`, `2023-05-12T14:30:00+05:30`, or `2023-05-12T14:30:00.123Z`.
POST
/v1.0/user/propertiesAuthorization
x-api-key x-date x-signature x-api-key<token>
Your organization API key.
In: header
x-date<token>
Request timestamp as a standard date string (ISO-8601 recommended), fresh within −5s..+60s.
In: header
x-signature<token>
HMAC-SHA256(x-date, secret) as lowercase hex.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1.0/user/properties" \ -H "Content-Type: application/json" \ -d '{ "userId": "user_123", "properties": [ { "key": "plan", "value": "pro" }, { "key": "ltv", "value": 149.99 }, { "key": "churned" } ] }'Empty
{ "message": "Signature expired"}